
/////////////////////////////////////////////////////////////////////////
// G4Tutorial:
//
// DetectorHit.cc
// 
/////////////////////////////////////////////////////////////////////////


#include "DetectorHit.hh"
#include "G4VVisManager.hh"
#include "G4Circle.hh"
#include "G4Colour.hh"
#include "G4VisAttributes.hh"


DetectorHit::DetectorHit() :
   energyDeposit(0),
   binCenter(0){

}


DetectorHit::DetectorHit(const DetectorHit& right) :
   G4VHit(right),
   energyDeposit(right.energyDeposit),
   binCenter(right.binCenter) {

}


DetectorHit::~DetectorHit() {

}


const DetectorHit& DetectorHit::operator=(const DetectorHit& right) {

  energyDeposit = right.energyDeposit;
  binCenter = right.binCenter;

  return *this;
}


int DetectorHit::operator==(const DetectorHit& right) const {

  return (this == &right) ? 1 : 0;
}

